• Print

Author Topic: Did the last QB64 update break Windows 2000 compatability?  (Read 1854 times)

Clippy

  • Hero Member
  • *****
  • Posts: 16446
  • I LOVE π = 4 * ATN(1)    Use the QB64 WIKI >>>
    • Pete's Qbasic Site
    • Email
Re: Did the last QB64 update break Windows 2000 compatability?
« Reply #60 on: September 19, 2011, 09:49:51 PM »
What does that have to do here Vrensul?

OlDos, does the Recompile file run or did you have to change it?

Dav, can you add the new recompile file too. You could call it something else. From what I see, QB64.EXE will need to be updated for every version until something is fixed. Can you do that or is it just something that Galleon can fix by changing the path format?

I would like it to just unzip everything into the QB64 folder without any other instructions for simplicity. I put the link in the WIKI FAQ so keep the file link the same too if possible.

http://qb64.net/wiki/index.php?title=QB64_FAQ#Q:_How_do_I_install_QB64.3F

Thanks

Ted
« Last Edit: September 19, 2011, 11:08:42 PM by Clippy »
QB64 WIKI: Main Page
Download Q-Basics Code Demo: Q-Basics.zip
Download QB64 BAT, IconAdder and VBS shortcuts: QB64BAT.zip
Download QB64 DLL files in a ZIP: Program64.zip

OlDosLover

  • Hero Member
  • *****
  • Posts: 4118
  • OlDosLover
    • Email
Re: Did the last QB64 update break Windows 2000 compatability?
« Reply #61 on: September 20, 2011, 02:03:24 AM »
Hi all,
   
Quote
OlDos, does the Recompile file run or did you have to change it?
    No i didnt try this as yet but i will. Which actual one or all ,do you wish i test ,as there are 3
1] Dav reply #40
2] Clippy reply #42
3] Dav reply #45
    Just to confirm ,my method was to follow the instruction contained within Dav zip file and it was easy and works.
OlDosLover

Dav

  • Hero Member
  • *****
  • Posts: 514
Re: Did the last QB64 update break Windows 2000 compatability?
« Reply #62 on: September 20, 2011, 08:55:50 AM »
Clippy, you're right, the Win2k recompile fix should be included with this package too.  I've edited the new IDE to produce compatable RECOMPILE.BAT files instead of including one in the ZIP, because an unfixed IDE would only overwrite that BAT with an invalid one when compiling (and it looks like those BAT's are user specific anyway depending on what source code the user is compiling).

It does seem that Windows 2000 versions of QB64.EXE and LIBQBX.O will have to be made for each update, and I'd be happy to make those and maintain a download at my site.  Thanks for adding the link in the Wiki. Do you think the naming style I'm using ok?  If you have any more suggestions I'm all ears.

I've re-packaged/uploaded the current ZIP with a fixed IDE.  The download name is the same, so no change in the wiki right now is needed. (EDIT: Btw, wiki link calls it QB54...)

OlDosLover: Glad it works for you. Re-download the fix ZIP for a fixed IDE that makes compatable RECOMPILE.BAT's too.  

- Dav
« Last Edit: September 20, 2011, 09:08:58 AM by Dav »
(Visit Dav's Qbasic Site) (Grab my IDE)

OlDosLover

  • Hero Member
  • *****
  • Posts: 4118
  • OlDosLover
    • Email
Re: Did the last QB64 update break Windows 2000 compatability?
« Reply #63 on: September 20, 2011, 08:57:38 AM »
Hi all,
    Thanks Dav , will do.
OlDosLover.

Clippy

  • Hero Member
  • *****
  • Posts: 16446
  • I LOVE π = 4 * ATN(1)    Use the QB64 WIKI >>>
    • Pete's Qbasic Site
    • Email
Re: Did the last QB64 update break Windows 2000 compatability?
« Reply #64 on: September 20, 2011, 09:30:46 AM »
Yes, the compiler name gives the version number so that should work well. Only problem would be if somebody isn't running the latest version. What would be nice is if we could compare the two IDEs and find out what is different. I'm betting that it is a .. path in the .94 one.

Anyhow, good to have a fix for it!
QB64 WIKI: Main Page
Download Q-Basics Code Demo: Q-Basics.zip
Download QB64 BAT, IconAdder and VBS shortcuts: QB64BAT.zip
Download QB64 DLL files in a ZIP: Program64.zip

  • Print